package cn.iocoder.yudao.module.system.api.robot.dto;

import lombok.Data;

import java.util.List;

@Data
public class RobotCompleteTaskDTO {
    /**
     * mac地址
     */
    private String mac;
    /**
     * robot_task_detail 表id
     */
    private Long order_id;
    /**
     * 任务类型，暂时未定义
     */
    private String order_type;
    /**
     * 执行状态
     */
    private Integer execution_state;
    /**
     * 响应的状态码
     */
    private String status_code;
    /**
     * 失败时的错误原因
     */
    private String message;
    /**
     * 解决方法
     */
    private String solution;
    /**
     * 子任务
     */
    private List<RobotCommandStateDTO> command_state;
}
