package cn.iocoder.yudao.module.system.controller.admin.housearea.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 库区新增/修改 Request VO")
@Data
public class HouseAreaSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2922")
    private Long id;

    @Schema(description = "地图id", example = "芋艿")
    private Long positionMapId;

    @Schema(description = "库区名称", example = "李四")
    private String areaName;

    @Schema(description = "库区说明")
    private String areaMsg;

    @Schema(description = "地图库位节点ids")
    private List<Long> mapItemIds;

}
