package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class WareHouseLocationVO {
    @Schema(description = "放货类型（1：库位、2：线库、 3：区域）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "类型（1：库位、2：线库、 3：区域）不能为空")
    private Integer type;

    @Schema(description = "位置", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotEmpty(message = "位置不能为空")
    private String locationNo;

}
